Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
servermon::ServerMonitor::ServerPowerStateEvent Struct Reference

Event: ServerPowerState has changed. More...

`import <ServerMonitor.idl;`

Inheritance diagram for servermon::ServerMonitor::ServerPowerStateEvent:

## Public Attributes
int | id
| id of the server entry
string | host
| Server hostname/IP address.
ServerPowerState | oldPowerState
| Old power state.
ServerPowerState | newPowerState
| New power state.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: ServerPowerState has changed.

Definition at line 103 of file ServerMonitor.idl.

## Member Data Documentation

## ◆ host

string servermon::ServerMonitor::ServerPowerStateEvent::host

Server hostname/IP address.

Definition at line 105 of file ServerMonitor.idl.

## ◆ id

int servermon::ServerMonitor::ServerPowerStateEvent::id

id of the server entry

Definition at line 104 of file ServerMonitor.idl.

## ◆ newPowerState

ServerPowerState servermon::ServerMonitor::ServerPowerStateEvent::newPowerState

New power state.

Definition at line 107 of file ServerMonitor.idl.

## ◆ oldPowerState

ServerPowerState servermon::ServerMonitor::ServerPowerStateEvent::oldPowerState

Old power state.

Definition at line 106 of file ServerMonitor.idl.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl